﻿.lane-menu-header-btn {
    border: none;
    background-color: transparent;
}

    .lane-menu-header-btn:focus {
        border: none;
        outline: none;
    }

    .lane-menu-header-btn span {
        padding: 0.5rem;
        font-size: 1rem;
    }

.lane-menu-wrapper {
    position: relative;
    display: inline-block;
}

.lane-menu {
    position: absolute;
    top: 25px;
    left: 0;
    width: 250px;
    background: rgb(240, 230, 227);
    color: #333;
    border-radius: 1rem;
    box-shadow: 0 15px 40px rgba(0,0,0,0.5);
    padding: 10px 0;
    z-index: 2000;
    animation: fadeIn 0.15s ease-out;
}

.lane-menu-header {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 16px;
    font-weight: 600;
    font-size: 14px;
    border-bottom: 1px solid rgba(0,0,0,0.08);
}

    .lane-menu-header span {
        width: 100%;
        text-align: center;
    }

.back-btn {
    position: absolute;
    background: none;
    border: none;
    cursor: pointer;
    font-size: 1rem;
    color: #aaa;
}

    .back-btn:hover {
        color: dimgray;
    }

.close-btn {
    position: absolute;
    right: 10px;
    background: none;
    border: none;
    color: #aaa;
    cursor: pointer;
    font-size: 1rem;
}

    .close-btn:hover {
        color: dimgray;
    }

.lane-menu-content {
    min-height: 300px;
}

.lane-menu-content-list {
    list-style: none;
    padding: 0;
}

.lane-menu-item {
    padding: 10px 16px;
    cursor: pointer;
    font-size: 14px;
    text-align: start;
}

    .lane-menu-item input[type=radio] {
        display: none;
    }

    .lane-menu-item:not(.no-hover):hover {
        background: rgba(0,0,0,0.04);
    }

    .lane-menu-item a {
        display: block;
        text-decoration: none;
        color: black;
    }

.lane-menu-disabled,
.lane-menu-disabled a {
    color: rgba(0,0,0,0.5);
}

.no-hover:hover {
    background-color: inherit;
    color: none;
    box-shadow: none;
    transform: none;
    cursor: default;
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(-5px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}
